﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace ScrollSpreadsSimultaneuoslyCS
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            fpSpread1.ScrollBarTrackPolicy = FarPoint.Win.Spread.ScrollBarTrackPolicy.Both;
            fpSpread2.ScrollBarTrackPolicy = FarPoint.Win.Spread.ScrollBarTrackPolicy.Both; 
            
            fpSpread1.ActiveSheet.Cells[2, 2].Text = "Scroll this Spread Sheet";          
            fpSpread1.ActiveSheet.AddSpanCell(2, 2, 4, 4);

            fpSpread2.ActiveSheet.Cells[2, 2].Text = "Scroll Spread Sheet on left";
            fpSpread2.ActiveSheet.AddSpanCell(2, 2, 4, 4);
        }

        private void fpSpread1_LeftChange(object sender, FarPoint.Win.Spread.LeftChangeEventArgs e)
        {
            fpSpread2.SetViewportLeftColumn(0,e.NewLeft);

        }

        private void fpSpread1_TopChange(object sender, FarPoint.Win.Spread.TopChangeEventArgs e)
        {
            fpSpread2.SetViewportTopRow(0,e.NewTop);
        }

       
    }
}
